Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network1.78.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
1.78.0.0
Broadcast address
1.78.15.255
First usable
1.78.0.1
Last usable
1.78.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 014E0000 · Integer 21889024 to 21893119
Reverse DNS zones
0.78.1.in-addr.arpa
1.78.1.in-addr.arpa
2.78.1.in-addr.arpa
3.78.1.in-addr.arpa
4.78.1.in-addr.arpa
5.78.1.in-addr.arpa
6.78.1.in-addr.arpa
7.78.1.in-addr.arpa
8.78.1.in-addr.arpa
9.78.1.in-addr.arpa
10.78.1.in-addr.arpa
11.78.1.in-addr.arpa
12.78.1.in-addr.arpa
13.78.1.in-addr.arpa
14.78.1.in-addr.arpa
15.78.1.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000001.01001110.00000000.000000001.78.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network00000001.01001110.00000000.000000001.78.0.0
Broadcast00000001.01001110.00001111.111111111.78.15.255
Split into smaller subnets/27

1.78.0.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
11.78.0.0/271.78.0.1 to 1.78.0.301.78.0.3130
21.78.0.32/271.78.0.33 to 1.78.0.621.78.0.6330
31.78.0.64/271.78.0.65 to 1.78.0.941.78.0.9530
41.78.0.96/271.78.0.97 to 1.78.0.1261.78.0.12730
51.78.0.128/271.78.0.129 to 1.78.0.1581.78.0.15930
61.78.0.160/271.78.0.161 to 1.78.0.1901.78.0.19130
71.78.0.192/271.78.0.193 to 1.78.0.2221.78.0.22330
81.78.0.224/271.78.0.225 to 1.78.0.2541.78.0.25530
91.78.1.0/271.78.1.1 to 1.78.1.301.78.1.3130
101.78.1.32/271.78.1.33 to 1.78.1.621.78.1.6330
111.78.1.64/271.78.1.65 to 1.78.1.941.78.1.9530
121.78.1.96/271.78.1.97 to 1.78.1.1261.78.1.12730
131.78.1.128/271.78.1.129 to 1.78.1.1581.78.1.15930
141.78.1.160/271.78.1.161 to 1.78.1.1901.78.1.19130
151.78.1.192/271.78.1.193 to 1.78.1.2221.78.1.22330
161.78.1.224/271.78.1.225 to 1.78.1.2541.78.1.25530
171.78.2.0/271.78.2.1 to 1.78.2.301.78.2.3130
181.78.2.32/271.78.2.33 to 1.78.2.621.78.2.6330
191.78.2.64/271.78.2.65 to 1.78.2.941.78.2.9530
201.78.2.96/271.78.2.97 to 1.78.2.1261.78.2.12730
211.78.2.128/271.78.2.129 to 1.78.2.1581.78.2.15930
221.78.2.160/271.78.2.161 to 1.78.2.1901.78.2.19130
231.78.2.192/271.78.2.193 to 1.78.2.2221.78.2.22330
241.78.2.224/271.78.2.225 to 1.78.2.2541.78.2.25530
251.78.3.0/271.78.3.1 to 1.78.3.301.78.3.3130
261.78.3.32/271.78.3.33 to 1.78.3.621.78.3.6330
271.78.3.64/271.78.3.65 to 1.78.3.941.78.3.9530
281.78.3.96/271.78.3.97 to 1.78.3.1261.78.3.12730
291.78.3.128/271.78.3.129 to 1.78.3.1581.78.3.15930
301.78.3.160/271.78.3.161 to 1.78.3.1901.78.3.19130
311.78.3.192/271.78.3.193 to 1.78.3.2221.78.3.22330
321.78.3.224/271.78.3.225 to 1.78.3.2541.78.3.25530
331.78.4.0/271.78.4.1 to 1.78.4.301.78.4.3130
341.78.4.32/271.78.4.33 to 1.78.4.621.78.4.6330
351.78.4.64/271.78.4.65 to 1.78.4.941.78.4.9530
361.78.4.96/271.78.4.97 to 1.78.4.1261.78.4.12730
371.78.4.128/271.78.4.129 to 1.78.4.1581.78.4.15930
381.78.4.160/271.78.4.161 to 1.78.4.1901.78.4.19130
391.78.4.192/271.78.4.193 to 1.78.4.2221.78.4.22330
401.78.4.224/271.78.4.225 to 1.78.4.2541.78.4.25530
411.78.5.0/271.78.5.1 to 1.78.5.301.78.5.3130
421.78.5.32/271.78.5.33 to 1.78.5.621.78.5.6330
431.78.5.64/271.78.5.65 to 1.78.5.941.78.5.9530
441.78.5.96/271.78.5.97 to 1.78.5.1261.78.5.12730
451.78.5.128/271.78.5.129 to 1.78.5.1581.78.5.15930
461.78.5.160/271.78.5.161 to 1.78.5.1901.78.5.19130
471.78.5.192/271.78.5.193 to 1.78.5.2221.78.5.22330
481.78.5.224/271.78.5.225 to 1.78.5.2541.78.5.25530
491.78.6.0/271.78.6.1 to 1.78.6.301.78.6.3130
501.78.6.32/271.78.6.33 to 1.78.6.621.78.6.6330
511.78.6.64/271.78.6.65 to 1.78.6.941.78.6.9530
521.78.6.96/271.78.6.97 to 1.78.6.1261.78.6.12730
531.78.6.128/271.78.6.129 to 1.78.6.1581.78.6.15930
541.78.6.160/271.78.6.161 to 1.78.6.1901.78.6.19130
551.78.6.192/271.78.6.193 to 1.78.6.2221.78.6.22330
561.78.6.224/271.78.6.225 to 1.78.6.2541.78.6.25530
571.78.7.0/271.78.7.1 to 1.78.7.301.78.7.3130
581.78.7.32/271.78.7.33 to 1.78.7.621.78.7.6330
591.78.7.64/271.78.7.65 to 1.78.7.941.78.7.9530
601.78.7.96/271.78.7.97 to 1.78.7.1261.78.7.12730
611.78.7.128/271.78.7.129 to 1.78.7.1581.78.7.15930
621.78.7.160/271.78.7.161 to 1.78.7.1901.78.7.19130
631.78.7.192/271.78.7.193 to 1.78.7.2221.78.7.22330
641.78.7.224/271.78.7.225 to 1.78.7.2541.78.7.25530
651.78.8.0/271.78.8.1 to 1.78.8.301.78.8.3130
661.78.8.32/271.78.8.33 to 1.78.8.621.78.8.6330
671.78.8.64/271.78.8.65 to 1.78.8.941.78.8.9530
681.78.8.96/271.78.8.97 to 1.78.8.1261.78.8.12730
691.78.8.128/271.78.8.129 to 1.78.8.1581.78.8.15930
701.78.8.160/271.78.8.161 to 1.78.8.1901.78.8.19130
711.78.8.192/271.78.8.193 to 1.78.8.2221.78.8.22330
721.78.8.224/271.78.8.225 to 1.78.8.2541.78.8.25530
731.78.9.0/271.78.9.1 to 1.78.9.301.78.9.3130
741.78.9.32/271.78.9.33 to 1.78.9.621.78.9.6330
751.78.9.64/271.78.9.65 to 1.78.9.941.78.9.9530
761.78.9.96/271.78.9.97 to 1.78.9.1261.78.9.12730
771.78.9.128/271.78.9.129 to 1.78.9.1581.78.9.15930
781.78.9.160/271.78.9.161 to 1.78.9.1901.78.9.19130
791.78.9.192/271.78.9.193 to 1.78.9.2221.78.9.22330
801.78.9.224/271.78.9.225 to 1.78.9.2541.78.9.25530
811.78.10.0/271.78.10.1 to 1.78.10.301.78.10.3130
821.78.10.32/271.78.10.33 to 1.78.10.621.78.10.6330
831.78.10.64/271.78.10.65 to 1.78.10.941.78.10.9530
841.78.10.96/271.78.10.97 to 1.78.10.1261.78.10.12730
851.78.10.128/271.78.10.129 to 1.78.10.1581.78.10.15930
861.78.10.160/271.78.10.161 to 1.78.10.1901.78.10.19130
871.78.10.192/271.78.10.193 to 1.78.10.2221.78.10.22330
881.78.10.224/271.78.10.225 to 1.78.10.2541.78.10.25530
891.78.11.0/271.78.11.1 to 1.78.11.301.78.11.3130
901.78.11.32/271.78.11.33 to 1.78.11.621.78.11.6330
911.78.11.64/271.78.11.65 to 1.78.11.941.78.11.9530
921.78.11.96/271.78.11.97 to 1.78.11.1261.78.11.12730
931.78.11.128/271.78.11.129 to 1.78.11.1581.78.11.15930
941.78.11.160/271.78.11.161 to 1.78.11.1901.78.11.19130
951.78.11.192/271.78.11.193 to 1.78.11.2221.78.11.22330
961.78.11.224/271.78.11.225 to 1.78.11.2541.78.11.25530
971.78.12.0/271.78.12.1 to 1.78.12.301.78.12.3130
981.78.12.32/271.78.12.33 to 1.78.12.621.78.12.6330
991.78.12.64/271.78.12.65 to 1.78.12.941.78.12.9530
1001.78.12.96/271.78.12.97 to 1.78.12.1261.78.12.12730
1011.78.12.128/271.78.12.129 to 1.78.12.1581.78.12.15930
1021.78.12.160/271.78.12.161 to 1.78.12.1901.78.12.19130
1031.78.12.192/271.78.12.193 to 1.78.12.2221.78.12.22330
1041.78.12.224/271.78.12.225 to 1.78.12.2541.78.12.25530
1051.78.13.0/271.78.13.1 to 1.78.13.301.78.13.3130
1061.78.13.32/271.78.13.33 to 1.78.13.621.78.13.6330
1071.78.13.64/271.78.13.65 to 1.78.13.941.78.13.9530
1081.78.13.96/271.78.13.97 to 1.78.13.1261.78.13.12730
1091.78.13.128/271.78.13.129 to 1.78.13.1581.78.13.15930
1101.78.13.160/271.78.13.161 to 1.78.13.1901.78.13.19130
1111.78.13.192/271.78.13.193 to 1.78.13.2221.78.13.22330
1121.78.13.224/271.78.13.225 to 1.78.13.2541.78.13.25530
1131.78.14.0/271.78.14.1 to 1.78.14.301.78.14.3130
1141.78.14.32/271.78.14.33 to 1.78.14.621.78.14.6330
1151.78.14.64/271.78.14.65 to 1.78.14.941.78.14.9530
1161.78.14.96/271.78.14.97 to 1.78.14.1261.78.14.12730
1171.78.14.128/271.78.14.129 to 1.78.14.1581.78.14.15930
1181.78.14.160/271.78.14.161 to 1.78.14.1901.78.14.19130
1191.78.14.192/271.78.14.193 to 1.78.14.2221.78.14.22330
1201.78.14.224/271.78.14.225 to 1.78.14.2541.78.14.25530
1211.78.15.0/271.78.15.1 to 1.78.15.301.78.15.3130
1221.78.15.32/271.78.15.33 to 1.78.15.621.78.15.6330
1231.78.15.64/271.78.15.65 to 1.78.15.941.78.15.9530
1241.78.15.96/271.78.15.97 to 1.78.15.1261.78.15.12730
1251.78.15.128/271.78.15.129 to 1.78.15.1581.78.15.15930
1261.78.15.160/271.78.15.161 to 1.78.15.1901.78.15.19130
1271.78.15.192/271.78.15.193 to 1.78.15.2221.78.15.22330
1281.78.15.224/271.78.15.225 to 1.78.15.2541.78.15.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses